Subject: bug#48524: 13.0.11; AUCTeX should not use LaTeX error message for non-LaTeX modes

From: Ikumi Keita <[email-masked]>
Date: Fri, 04 Jun 2021 15:14:07 +0900

Hi Jean,

>>>>> jfbu <[email-masked]> writes:
>> Does anyone have comments or opinions?

> Hi, only to confirm patch applied cleanly.
> I tested it with LaTeX and with Plain (with pdftex engine) and it appears
> to work as expected, at my locale.  I don't have experience with
> customizing TeX-error-description-list so can't comment on the fallback
> entry un-customizability.  Here is a situation
> causing pdftex to abort abruptly after an initial error, and
> then "No help available" is shown.
> ----
> ABCD

> \def\foo{\begingroup\foo}

> \foo

> \bye
> ----
> (the "No help available" context will appear if producing PDF not DVI
> as it is triggered by an error

> ==> Fatal error occurred, no output PDF file produced!

> generated by pdftex only in pdf mode)

Thank you for confirmation again. I renamed a new variable slightly and
pushed the commit to git repo.

I'll close bug#21595 and bug#21517 in addition to this bug.

Regards,
Ikumi Keita